INTERFACE
 SUBROUTINE AER_REFL_TL( KDLEN , KLEN , KMXCOUNT,&
 & PQF, PTF, PPRESH, PPRESF,&
 & YDGEMSPROF,&
 & PQF5, PTF5, PPRESH5, PPRESF5,&
 & YDGEMSPROF5,&
 & PSOLANG5, PVIEANG5, PDIFFANG5,&
 & PAERREFL ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM, ONLY : NFLEVG
USE RT6SVALUES
USE TYPE_GEMS_PROFILES
INTEGER(KIND=JPIM),INTENT(IN) :: KDLEN, KLEN
INTEGER(KIND=JPIM),INTENT(IN) :: KMXCOUNT
REAL(KIND=JPRB) ,INTENT(INOUT) :: PPRESH(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PPRESF(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTF(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQF(KDLEN,0:NFLEVG)
TYPE (TYPE_GEMSPROF) ,INTENT(INOUT) :: YDGEMSPROF(KDLEN,NGEMS)
REAL(KIND=JPRB) ,INTENT(IN) :: PPRESH5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PPRESF5(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PTF5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PQF5(KDLEN,0:NFLEVG)
TYPE (TYPE_GEMSPROF) ,INTENT(IN) :: YDGEMSPROF5(KDLEN,NGEMS)
REAL(KIND=JPRB), INTENT(IN) :: PDIFFANG5(KDLEN), PSOLANG5(KDLEN), PVIEANG5(KDLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PAERREFL(KDLEN,KMXCOUNT)
INTEGER(KIND=JPIM), PARAMETER :: IWAVLMX=7
END SUBROUTINE AER_REFL_TL
END INTERFACE
